Quassel IRC - Bug #592

Don't check phonon/webkit/KDE for core-only builds
03/03/2009 01:49 PM - Sputnick

Status: Resolved Start date: 03/03/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: 0.7.0

Version: 0.4.0 0S: Any
Description

Buildsystem should ignore that.

Associated revisions

Revision f16f4c54f3d4d96a71cedbb2d5637f5d3bafe3d2 - 08/19/2010 10:49 AM - Manuel Nickschas
Buildsystem tweaks
e Improve PkgConfig support. Warn if it's not available (might lead to other
libs not being found, such as QCA or libindicate!)

¢ Don't check for deps that are unnecessary for the selected build modes (fixes #592)
e Bundle some missing cmake files from KDE

Revision f16f4c54 - 08/19/2010 10:49 AM - Manuel Nickschas
Buildsystem tweaks
e Improve PkgConfig support. Warn if it's not available (might lead to other
libs not being found, such as QCA or libindicate!)

¢ Don't check for deps that are unnecessary for the selected build modes (fixes #592)
¢ Bundle some missing cmake files from KDE

History

#1 - 03/26/2009 11:18 PM - Sputnick

- Target version changed from 0.4.1 to 0.4.2

#2 - 05/25/2009 11:40 PM - Sputnick
- Target version changed from 0.4.2 to 0.4.3

#3 - 09/11/2009 12:58 AM - Sputnick
- Target version changed from 0.4.3 to 0.5.0

#4 - 03/03/2010 07:30 PM - johu
- Target version changed from 0.5.0 to 0.7.0

#5 - 08/06/2010 01:07 AM - johu
- File 0001-build-system-improvement.patch added

check it out

#6 - 08/06/2010 01:36 AM - johu
- File deleted (0001-build-system-improvement.patch)

#7 - 08/06/2010 01:36 AM - johu
- File 0001-build-system-improvement.patch added

new try
#8 - 08/06/2010 03:05 AM - johu
- File 0001-build-system-improvement.patch added

#9 - 08/06/2010 03:05 AM - johu
- File deleted (0001-build-system-improvement.patch)

#10 - 08/19/2010 12:59 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset f16f4c54f3d4d96a71cedbb2d5637f5d3bafe3d2.

Files

0001-build-system-improvement.patch 1.14 KB 08/06/2010 johu
